<template>
    <div id="app">
        <Header/>
        <div class="flex-parent main-content flex-align-stretch">
            <div id="content-overlay"></div>
            <SideBar/>

            <LoginModal/>
            <PhoneModal/>
            <CodeModal/>
            <PasswordModal/>
            <FillModal/>
            <PaymentModal/>
            <RecoveryModal/>
            <RecoverycodeModal/>
            <NewpasswordModal/>
            <MistakeModal/>
            <NamebooksModal/>
            <SuccessOrErrorModal/>

            <router-view></router-view>
        </div>
    </div>
</template>

<script>
    import Header from './components/Header.vue'
    import SideBar from './components/SideBar.vue'
    import LoginModal from './components/modals/LoginModal.vue'
    import PhoneModal from './components/modals/registration/PhoneModal.vue'
    import CodeModal from './components/modals/registration/CodeModal.vue'
    import PasswordModal from './components/modals/registration/PasswordModal.vue'
    import FillModal from './components/modals/registration/FillModal.vue'
    import PaymentModal from './components/modals/registration/PaymentModal.vue'
    import RecoveryModal from './components/modals/registration/RecoveryModal.vue'
    import RecoverycodeModal from './components/modals/registration/RecoverycodeModal.vue'
    import NewpasswordModal from './components/modals/registration/NewpasswordModal.vue'
    import MistakeModal from './components/modals/registration/MistakeModal.vue'
    import NamebooksModal from './components/modals/registration/NamebooksModal.vue'

    import Main from './components/pages/TestFinish.vue'
    import SuccessOrErrorModal from "./components/modals/registration/SuccessOrErrorModal";


    export default {
        name: 'app',
        components: {
            SuccessOrErrorModal,
            Header,
            SideBar,
            LoginModal,
            Main,
            PhoneModal,
            CodeModal,
            PasswordModal,
            FillModal,
            PaymentModal,
            RecoveryModal,
            RecoverycodeModal,
            NewpasswordModal,
            MistakeModal,
            NamebooksModal

        },

        mounted() {
            var toggle = 0;
            // this.$modal.show('fill-modal')
            if(!localStorage.getItem('deviceId')){
                var result           = '';
                var characters       = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
                var charactersLength = characters.length;
                for ( var i = 0; i < 50; i++ ) {
                    result += characters.charAt(Math.floor(Math.random() * charactersLength));
                }
                localStorage.setItem('deviceId', result)
            }
            document.getElementById('burger-toggle').onclick = function () {
                toggleBurgerMenu();
            };

            document.getElementById('content-overlay').onclick = function () {
                toggleBurgerMenu();
            };

            function toggleBurgerMenu() {
                toggle = !toggle;
                var target = document.getElementById('sidebar');
                if (toggle) {
                    target.classList.add("sidebar-open");
                    document.getElementById('content-overlay').classList.add("content-overlay-show");
                } else {
                    target.classList.remove("sidebar-open");
                    document.getElementById('content-overlay').classList.remove("content-overlay-show");
                }
            }
        }

    }
</script>
